// components/dataSource/dataSource.ts
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    dataId: {
      type: String
    },
    redDotMark: {
      type: Boolean,
      value: false
    }
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    handleRecords(e: WechatMiniprogram.BaseEvent) {
      console.log(e);

      wx.navigateTo({
        url: '/pages/dataRecords/dataRecords?id=' + e.currentTarget.dataset.id
      })
    },
  }
})
